Show quantity
Retrieve a specific quantity by ID
GET
/
admin
/
api
/
v1
/
inventories
/
quantities
/
{id}
Show quantity
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/quantities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"quantity": -100,
"reserved_quantity": 0,
"counted_quantity": 0,
"difference_quantity": 0,
"inventory_diff_quantity": 100,
"available_quantity": -100,
"inventory_quantity_set": false,
"scheduled_at": "2025-12-31T00:00:00.000000Z",
"incoming_at": "2025-04-10T12:36:39.000000Z",
"created_at": "2025-04-10T12:36:39.000000Z",
"updated_at": "2025-04-10T12:36:39.000000Z"
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show quantity
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/quantities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/quantities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"quantity": -100,
"reserved_quantity": 0,
"counted_quantity": 0,
"difference_quantity": 0,
"inventory_diff_quantity": 100,
"available_quantity": -100,
"inventory_quantity_set": false,
"scheduled_at": "2025-12-31T00:00:00.000000Z",
"incoming_at": "2025-04-10T12:36:39.000000Z",
"created_at": "2025-04-10T12:36:39.000000Z",
"updated_at": "2025-04-10T12:36:39.000000Z"
}
}{
"message": "Unauthenticated."
}